%define module		TAG
%define name		perl-%{module}
%define distname	tag_utils
%define version		1.10
%define release		4mdk
%define _provides_exceptions XML::Parser::Expat\\|Parse::Yapp::Driver

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl module to convert between various formats for Tree Adjoining Grammars
License:	GPL
Group:		Sciences/Computer science
Source:		ftp://ftp.inria.fr/INRIA/Projects/Atoll/Eric.Clergerie/TAG/%{distname}-%{version}.tar.bz2
Url:		http://atoll.inria.fr/packages/packages.html#tag_utils
BuildRequires:	perl-libxml-perl
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
Buildarch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
tag_utils is a set of Perl scripts to convert between various formats for Tree
Adjoining Grammars, in particular the XML TAGML format.

%prep
%setup -q -n %{distname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes
%{_bindir}/*
%{perl_vendorlib}/TAG*
%{_mandir}/*/*

%changelog
* Wed Dec 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.10-4mdk 
- fix buildrequires in a backward compatible way

* Sun Dec 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.10-3mdk 
- fix wrong provides

* Mon Nov 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.10-2mdk 
- fix buildrequires

* Tue Nov 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.10-1mdk 
- first mdk release
